Skip to main content
POST
/
campaigns
/
{campaignId}
/
creatives
/
bulk-update
Bulk update creatives
curl --request POST \
  --url https://api.interchange.io/api/v2/buyer/campaigns/{campaignId}/creatives/bulk-update \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "selection": {
    "collection_id": "<string>",
    "creative_ids": [
      "<string>"
    ],
    "name_contains": "<string>",
    "created_after": "2023-11-07T05:31:56Z",
    "created_before": "2023-11-07T05:31:56Z",
    "updated_after": "2023-11-07T05:31:56Z",
    "updated_before": "2023-11-07T05:31:56Z",
    "template_id": "<string>",
    "format_kind": "<string>"
  },
  "update": {
    "click_url": "<string>"
  }
}
'
{
  "dry_run": true,
  "matched_count": 4503599627370495,
  "total_matches": 4503599627370495,
  "returned_count": 4503599627370495,
  "truncated": true,
  "updated_count": 4503599627370495,
  "selection": {
    "collection_id": "<string>",
    "creative_ids": [
      "<string>"
    ],
    "name_contains": "<string>",
    "created_after": "2023-11-07T05:31:56Z",
    "created_before": "2023-11-07T05:31:56Z",
    "updated_after": "2023-11-07T05:31:56Z",
    "updated_before": "2023-11-07T05:31:56Z",
    "template_id": "<string>",
    "format_kind": "<string>"
  },
  "limit": 123,
  "updates": {
    "click_url": "<string>"
  },
  "creatives": [
    {
      "creative_id": "<string>",
      "name": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "asset_count": 3,
      "campaign_id": "<string>",
      "format_id": {
        "id": "<string>",
        "agent_url": "<string>",
        "width": 123,
        "height": 123,
        "duration_ms": 123
      },
      "template_id": "<string>",
      "brand_domain": "<string>",
      "preview_url": "<string>",
      "requires_upgrade": true,
      "sync_status": {
        "synced": true,
        "agent_count": 0
      },
      "target_format_ids": [
        {
          "id": "<string>",
          "agent_url": "<string>",
          "width": 123,
          "height": 123,
          "duration_ms": 123
        }
      ],
      "error": "<string>"
    }
  ],
  "exclude_creative_ids": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

API key or access token

Path Parameters

campaignId
string
required

Campaign ID

Minimum string length: 1

Body

application/json

Bulk update saved campaign creatives. Use dry_run first to confirm the matched set.

selection
object
required

Selectors for a campaign-scoped bulk creative update

update
object
required
dry_run
boolean
default:true

When true, return the matched creative set without applying changes. Defaults to true for human confirmation.

exclude_creative_ids
string[]

Creative IDs to remove from the matched set before applying the update

Maximum array length: 200
Minimum string length: 1
limit
integer
default:200

Maximum number of creatives to match/update

Required range: 1 <= x <= 500
confirm_partial_batch
boolean
default:false

When false, applying a bulk update is rejected if more creatives match than the requested limit. Set true only when the buyer explicitly confirms a partial batch.

Response

Bulk update creatives

Bulk creative update preview or execution result suitable for confirmation UI.

dry_run
boolean
required
matched_count
integer
required
Required range: 0 <= x <= 9007199254740991
total_matches
integer
required
Required range: 0 <= x <= 9007199254740991
returned_count
integer
required
Required range: 0 <= x <= 9007199254740991
truncated
boolean
required
updated_count
integer
required
Required range: 0 <= x <= 9007199254740991
selection
object
required

Selectors for a campaign-scoped bulk creative update

limit
integer
required
Required range: x <= 9007199254740991
updates
object
required
creatives
object[]
required
exclude_creative_ids
string[]